## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm
%bcond_without check

# https://github.com/kubernetes/legacy-cloud-providers
%global goipath         k8s.io/legacy-cloud-providers
%global forgeurl        https://github.com/kubernetes/legacy-cloud-providers
Version:                1.22.0
%global tag             kubernetes-1.22.0
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
This package hosts the legacy in-tree cloud providers. Out-of-tree cloud
providers can consume packages in this repo to support legacy implementations
of their Kubernetes cloud provider.}

%global golicenses      LICENSE
%global godocs          README.md code-of-conduct.md

Name:           %{goname}
Release:        %autorelease
Summary:        Legacy in-tree cloud providers

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# * The various `IDFromName` convenience functions have been moved to https://github.com/gophercloud/utils [GH-1897](https://github.com/gophercloud/gophercloud/pull/1897)
Patch1:         Use-gophercloud-utils-for-IDFromName.patch
# Not upstreamed. Fix build to use newer github.com/gophercloud/gophercloud
Patch3:         0001-Fix-for-gophercloud-routers-change.patch

BuildRequires:  golang(cloud.google.com/go/compute/metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/awserr)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/ec2rolecreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/credentials/stscreds)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/ec2metadata)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/endpoints)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/request)
BuildRequires:  golang(github.com/aws/aws-sdk-go/aws/session)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/autoscaling)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/ec2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/elb)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/elbv2)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/kms)
BuildRequires:  golang(github.com/aws/aws-sdk-go/service/sts)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/compute/mgmt/2019-12-01/compute)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/containerservice/mgmt/2020-04-01/containerservice)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/network/mgmt/2019-06-01/network)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/resources/mgmt/2017-05-10/resources)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/services/storage/mgmt/2019-06-01/storage)
BuildRequires:  golang(github.com/Azure/azure-sdk-for-go/storage)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/adal)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/azure)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/mocks)
BuildRequires:  golang(github.com/Azure/go-autorest/autorest/to)
BuildRequires:  golang(github.com/blang/semver)
BuildRequires:  golang(github.com/golang/mock/gomock)
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud/filter)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud/meta)
BuildRequires:  golang(github.com/GoogleCloudPlatform/k8s-cloud-provider/pkg/cloud/mock)
BuildRequires:  golang(github.com/gophercloud/gophercloud)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/extensions/volumeactions)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v1/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v2/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/blockstorage/v3/volumes)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/extensions/attachinterfaces)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/extensions/volumeattach)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/compute/v2/servers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/identity/v3/extensions/trusts)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/identity/v3/tokens)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/external)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/layer3/floatingips)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/layer3/routers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/listeners)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/loadbalancers)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/monitors)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/lbaas_v2/pools)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/security/groups)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/extensions/security/rules)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/networks)
BuildRequires:  golang(github.com/gophercloud/gophercloud/openstack/networking/v2/ports)
BuildRequires:  golang(github.com/gophercloud/gophercloud/pagination)
BuildRequires:  golang(github.com/gophercloud/utils/openstack/networking/v2/extensions/security/groups)
BuildRequires:  golang(github.com/mitchellh/mapstructure)
BuildRequires:  golang(github.com/rubiojr/go-vhd/vhd)
BuildRequires:  golang(github.com/vmware/govmomi/find)
BuildRequires:  golang(github.com/vmware/govmomi/lookup/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/object)
BuildRequires:  golang(github.com/vmware/govmomi/pbm)
BuildRequires:  golang(github.com/vmware/govmomi/pbm/types)
BuildRequires:  golang(github.com/vmware/govmomi/property)
BuildRequires:  golang(github.com/vmware/govmomi/session)
BuildRequires:  golang(github.com/vmware/govmomi/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/sts)
BuildRequires:  golang(github.com/vmware/govmomi/sts/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/rest)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/simulator)
BuildRequires:  golang(github.com/vmware/govmomi/vapi/tags)
BuildRequires:  golang(github.com/vmware/govmomi/vim25)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/mo)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/soap)
BuildRequires:  golang(github.com/vmware/govmomi/vim25/types)
BuildRequires:  golang(golang.org/x/crypto/pkcs12)
BuildRequires:  golang(golang.org/x/oauth2)
BuildRequires:  golang(golang.org/x/oauth2/google)
BuildRequires:  golang(google.golang.org/api/compute/v0.alpha)
BuildRequires:  golang(google.golang.org/api/compute/v0.beta)
BuildRequires:  golang(google.golang.org/api/compute/v1)
BuildRequires:  golang(google.golang.org/api/container/v1)
BuildRequires:  golang(google.golang.org/api/googleapi)
BuildRequires:  golang(google.golang.org/api/option)
BuildRequires:  golang(google.golang.org/api/tpu/v1)
BuildRequires:  golang(gopkg.in/gcfg.v1)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/api/resource)
BuildRequires:  golang(k8s.io/apimachinery/pkg/apis/meta/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/fields)
BuildRequires:  golang(k8s.io/apimachinery/pkg/runtime)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/errors)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/net)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/sets)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/uuid)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/version)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/wait)
BuildRequires:  golang(k8s.io/apimachinery/pkg/watch)
BuildRequires:  golang(k8s.io/apiserver/pkg/util/feature)
BuildRequires:  golang(k8s.io/client-go/informers)
BuildRequires:  golang(k8s.io/client-go/informers/core/v1)
BuildRequires:  golang(k8s.io/client-go/kubernetes)
BuildRequires:  golang(k8s.io/client-go/kubernetes/fake)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/client-go/kubernetes/typed/core/v1)
BuildRequires:  golang(k8s.io/client-go/listers/core/v1)
BuildRequires:  golang(k8s.io/client-go/pkg/version)
BuildRequires:  golang(k8s.io/client-go/tools/cache)
BuildRequires:  golang(k8s.io/client-go/tools/clientcmd)
BuildRequires:  golang(k8s.io/client-go/tools/record)
BuildRequires:  golang(k8s.io/client-go/util/cert)
BuildRequires:  golang(k8s.io/client-go/util/flowcontrol)
BuildRequires:  golang(k8s.io/cloud-provider)
BuildRequires:  golang(k8s.io/cloud-provider/credentialconfig)
BuildRequires:  golang(k8s.io/cloud-provider/node/helpers)
BuildRequires:  golang(k8s.io/cloud-provider/service/helpers)
BuildRequires:  golang(k8s.io/cloud-provider/volume)
BuildRequires:  golang(k8s.io/cloud-provider/volume/errors)
BuildRequires:  golang(k8s.io/cloud-provider/volume/helpers)
BuildRequires:  golang(k8s.io/component-base/featuregate)
BuildRequires:  golang(k8s.io/component-base/metrics)
BuildRequires:  golang(k8s.io/component-base/metrics/legacyregistry)
BuildRequires:  golang(k8s.io/csi-translation-lib/plugins)
BuildRequires:  golang(k8s.io/klog/v2)
BuildRequires:  golang(k8s.io/mount-utils)
BuildRequires:  golang(k8s.io/utils/exec)
BuildRequires:  golang(k8s.io/utils/net)
BuildRequires:  golang(sigs.k8s.io/yaml)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/assert)
BuildRequires:  golang(github.com/stretchr/testify/mock)
BuildRequires:  golang(github.com/stretchr/testify/require)
BuildRequires:  golang(github.com/vmware/govmomi)
BuildRequires:  golang(github.com/vmware/govmomi/simulator/vpx)
BuildRequires:  golang(k8s.io/apimachinery/pkg/labels)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/intstr)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/json)
BuildRequires:  golang(k8s.io/apimachinery/pkg/util/rand)
BuildRequires:  golang(k8s.io/utils/pointer)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
%patch1 -p1
%patch3 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck -d azure -d gce
%endif

%gopkgfiles

%changelog
* Fri Sep 03 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.22.0-1
- Update to 1.22.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 02:07:25 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.9-3
- Fix build to use newer github.com/gophercloud/gophercloud

* Sat Dec 26 10:56:01 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.9-2
- Fix FTBFS

* Mon Sep 21 23:07:22 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.9-1
- Update to 1.18.9

* Tue Aug 18 21:48:36 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.18.3-1
- Update to 1.18.3

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-5
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 08 21:16:32 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.15.0-1
- Initial package

